#ifndef __UDS_31SERVICE_Main_H
#define __UDS_31SERVICE_Main_H

#include "stdint.h"
#include "UDS_31Service_Filter.h"
#include "UDS_31Service_Internal.h"

void UDS_Service_31_Indication(uint32_t A_TA_type, uint16_t A_Length, uint8_t A_Data[]);
void UDS_31Service_Sub(void);
void UDS_31Service_Sub01(void);
void UDS_31Service_Sub02(void);
void UDS_31Service_Sub03(void);
void UDS_31Service_Sub01_DID_62F0(void);
void UDS_31Service_Sub01_DID_62F1(void);
void UDS_31Service_Sub01_DID_62F2(void);
void UDS_31Service_Sub01_DID_F306(void);
void UDS_31Service_Sub01_DID_62F3(void);
void UDS_31Service_Sub02_DID_62F3(void);
void UDS_31Service_Sub03_DID_62F3(void);

#endif